Bug 1000196 - Copy Trans using translations from obsolete project versions.
Copy Trans using translations from obsolete project versions.
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.0
Assigned To: Carlos Munoz
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 18:22 EDT by Yuko Katabami
Modified: 2013-11-26 22:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:23:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yuko Katabami 2013-08-22 18:22:36 EDT
Description of problem:
Copy trans is reusing translations from obsolete project versions (and possibly projects as well).

Version-Release number of selected component (if applicable):
3.0

How reproducible:
Always

Steps to Reproduce:
1. Create two project versions.
2. Push same sources to both.
3. Push translations only to one version.
4. Make the translated version obsolete.
5. Run copytrans on non-obsolete version.

Actual results:
Translations are copied over from the obsolete version.

Expected results:
Translations from the obsolete version are ignored.

Additional info:
Try with obsolete projects as well.
Comment 1 Carlos Munoz 2013-08-28 23:31:08 EDT
Making copy trans ignore match results from obsolete entities.

See:
https://github.com/zanata/zanata-server/pull/145
Comment 3 Carlos Munoz 2013-08-28 23:36:30 EDT
Pushed to both release (3.0.x) and master (3.1.x) branches.
Comment 4 Carlos Munoz 2013-08-28 23:40:00 EDT
Yuko, this bug address half the problem, the 'copying from obsolete project' part. The other half is filed under 
https://bugzilla.redhat.com/show_bug.cgi?id=1000237
Comment 5 Damian Jansen 2013-09-09 02:19:38 EDT
Verified at 57f8743af6544eef197473f3efaf4826f0a35a07
Comment 6 Sean Flanigan 2013-11-26 22:13:05 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:15:11 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:18:12 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 9 Sean Flanigan 2013-11-26 22:23:06 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 10 Sean Flanigan 2013-11-26 22:32:53 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 11 Sean Flanigan 2013-11-26 22:35:08 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.